ARMA
           ARMA Net           製品とサポート           通信販売           会社概要           求人情報       
ARMA 3.0

ARMA 3.0 マニュアル

プレインストール PC

個人・小規模サイト
向けサポート
(パッケージ付属)


よくいただくお問い
合わせについて


対応ハードウェア情報

法人向け各種サービス

OSA-2004-59
 
 
1 サマリ
 
 
対象システム
ARMA2.0,ARMA2.1,ARMA2.2
パッケージ
lha
概要
任意コード実行の可能性
危険度
1
 
 
 
2 詳細
 
 lha に脆弱性が指摘されています。lha は DOS/Windows で広く使われているアーカイバ(圧縮格納)ソフトウェアです。悪意を持ってヘッダやファイル名を細工されたアーカイブを処理する場合に、任意のコードを実行させられてしまう可能性が指摘されています。より詳しい情報については以下を参照してください。
 
 
「CAN-2004-769」 Common Vulnerabilities and Exposures
 
 
 
 
3 対処方法
 
 アップデート後の lha のバージョンは 1.14i-8o1o100 に上がります。
 
 root になり以下のようにアップデートをおこなってください。
 
 
# apt-get update
# apt-get install lha
 

COPYRIGHT (C)2018, オモイカネ株式会社 (Omoikane Inc.)
E-mail: info@omoikane.co.jp